Bug 180599 - PCIe chipset test is not valid on recent Intel platforms
Summary: PCIe chipset test is not valid on recent Intel platforms
Status: Closed Overcome By Events
Alias: None
Product: Base System
Classification: Unclassified
Component: i386 (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-i386 mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-16 20:10 UTC by chris.main
Modified: 2018-05-28 20:05 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description chris.main 2013-07-16 20:10:00 UTC
It is not possible to set up MSI interrupts on devices which appear before a PCI Express root complex on Intel series 7/series 8 chipsets because the pci_msi_blacklisted() test fails (in dev/pci.c)
The reason is that the method for setting the pcie_chipset variable is no longer valid. Most devices in a PCI Express system no longer have the PCI Express capability registers, unless they are PCI Express root complexes or PCI Express plug-in cards. 

An example is the XHCI controller in the 7-series chipset, which occurs at pci0:0:20:0 and has no PCI Express capability register, but is MSI-capable. Because none of the preceding devices have the PCI Express capability either, the MSI test fails.

Fix: 

Need a different method to determine system PCI Express property
How-To-Repeat: Boot FreeBSD on such a system and use pciconf to demonstrate that the XHCI has been set up with an IRQ and not MSI.
Comment 1 Sean Bruno freebsd_committer 2015-07-01 17:31:54 UTC
Adding john for commentary.
Comment 2 John Baldwin freebsd_committer freebsd_triage 2015-07-07 15:44:25 UTC
No, most devices in PCI-e systems do have these registers as they are required by the PCI-e standard.  All of the PCI-e systems I have seen to date have PCI-e capabilities on 0:0:0:0 which is the very first PCI device enumerated.  Please include a pciconf -lc from your system.
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:49:07 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.